import { inLine } from './utils/math';
export function isPointInPath(displayObject, position) {
  var _a = displayObject.parsedStyle,
      x1 = _a.x1,
      y1 = _a.y1,
      x2 = _a.x2,
      y2 = _a.y2,
      lineWidth = _a.lineWidth,
      _b = _a.defX,
      x = _b === void 0 ? 0 : _b,
      _c = _a.defY,
      y = _c === void 0 ? 0 : _c;
  return inLine(x1.value, y1.value, x2.value, y2.value, lineWidth.value, position.x + x, position.y + y);
}